Python
# To use the Python SDK, install the package:
# pip install memobase
from memobase import MemoBaseClient
memobase = MemoBaseClient(project_url='PROJECT_URL', api_key='PROJECT_TOKEN')
print(memobase.get_usage())// To use the Go SDK, install the package:
// go get github.com/memodb-io/memobase/src/client/memobase-go@latest
import (
"fmt"
"log"
"github.com/memodb-io/memobase/src/client/memobase-go/core"
)
func main() {
projectURL := "YOUR_PROJECT_URL"
apiKey := "YOUR_API_KEY"
// Initialize the client
client, err := core.NewMemoBaseClient(
projectURL,
apiKey,
)
if err != nil {
log.Fatalf("Failed to create client: %v", err)
}
// Get usage
usage, err := client.GetUsage()
if err != nil {
log.Fatalf("Failed to get usage: %v", err)
}
fmt.Printf("Usage: %v
", usage)
}curl --request GET \
--url https://api.memobase.dev/api/v1/project/billing \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.memobase.dev/api/v1/project/billing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"project_token_cost_month": 123,
"token_left": 123,
"next_refill_at": "2023-11-07T05:31:56Z"
},
"errno": 0,
"errmsg": ""
}Project
Get Project Usage
GET
/
api
/
v1
/
project
/
billing
Python
# To use the Python SDK, install the package:
# pip install memobase
from memobase import MemoBaseClient
memobase = MemoBaseClient(project_url='PROJECT_URL', api_key='PROJECT_TOKEN')
print(memobase.get_usage())// To use the Go SDK, install the package:
// go get github.com/memodb-io/memobase/src/client/memobase-go@latest
import (
"fmt"
"log"
"github.com/memodb-io/memobase/src/client/memobase-go/core"
)
func main() {
projectURL := "YOUR_PROJECT_URL"
apiKey := "YOUR_API_KEY"
// Initialize the client
client, err := core.NewMemoBaseClient(
projectURL,
apiKey,
)
if err != nil {
log.Fatalf("Failed to create client: %v", err)
}
// Get usage
usage, err := client.GetUsage()
if err != nil {
log.Fatalf("Failed to get usage: %v", err)
}
fmt.Printf("Usage: %v
", usage)
}Get the usage of your project.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Successful Response
⌘I